package com.swiftcleaner.chovey.model.bean;

import android.graphics.Bitmap;
public class MeCleanBean {
    private int id;
    private int icon;
    private Bitmap icon1;
    private String name;
    private String path;
    private String size;
    private boolean isChecked;

    public MeCleanBean(int icon, String name, String size) {
        this.icon = icon;
        this.name = name;
        this.size = size;
    }

    public MeCleanBean(Bitmap icon1, String name, String size) {
        this.icon1 = icon1;
        this.name = name;
        this.size = size;
    }

    public MeCleanBean(int icon, String name, String path, String size, boolean isChecked) {
        this.icon = icon;
        this.name = name;
        this.path = path;
        this.size = size;
        this.isChecked = isChecked;
    }

    public MeCleanBean(int id, boolean isChecked) {
        this.id = id;
        this.isChecked = isChecked;
    }

    public MeCleanBean(String name, String path, String size) {
        this.name = name;
        this.path = path;
        this.size = size;
    }

    public Bitmap getIcon1() {
        return icon1;
    }

    public void setIcon1(Bitmap icon1) {
        this.icon1 = icon1;
    }

    public int getIcon() {
        return icon;
    }

    public void setIcon(int icon) {
        this.icon = icon;
    }

    public MeCleanBean(int icon, String name, String path, String size) {
        this.icon = icon;
        this.name = name;
        this.path = path;
        this.size = size;
    }

    public MeCleanBean(int icon, String name) {
        this.icon = icon;
        this.name = name;
    }

    public MeCleanBean(String size, boolean isChecked) {
        this.size = size;
        this.isChecked = isChecked;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public boolean isChecked() {
        return isChecked;
    }

    public void setChecked(boolean checked) {
        isChecked = checked;
    }

    @Override
    public String toString() {
        return "MeCleanBean{" +
                "id=" + id +
                ", isChecked=" + isChecked +
                '}';
    }
}
